/*
 Copyright (c) 2006-2016 Trellis Management Co. Ltd.

 This software module is an implementation of one or more tools as proposed
 for the JPEG XT standard.
 
 The copyright in this software is being made available under the
 license included with the sources LICENSE.TXT. This software may be subject to other third
 party and contributor rights, including patent rights, and no such
 rights are granted under this license. 
*/

#ifndef _TONE_MAPPING_H
#define _TONE_MAPPING_H
#include <stdio.h>
#include "image.h"
#include <math.h>

#define CLAMP_TMO 0
#define REINHARD02_TMO 1

FILE_IMAGE *tone_mapping(int tmo,FILE_IMAGE *image,float gamma);
FILE_IMAGE *reinhard02(FILE_IMAGE *image,float gamma);
FILE_IMAGE *gamma_tm(FILE_IMAGE *image, float gamma);

#endif
